%global goipath         github.com/tdewolff/minify
Version:                2.7.4

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        Go minifiers for web formats
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{summary}


%package devel
Summary:       %{summary}
BuildArch:     noarch

BuildRequires: (golang(github.com/tdewolff/parse)         >= 2.4.2 with golang(github.com/tdewolff/parse)         < 3)
BuildRequires: (golang(github.com/tdewolff/parse/buffer)  >= 2.4.2 with golang(github.com/tdewolff/parse/buffer)  < 3)
BuildRequires: (golang(github.com/tdewolff/parse/css)     >= 2.4.2 with golang(github.com/tdewolff/parse/css)     < 3)
BuildRequires: (golang(github.com/tdewolff/parse/html)    >= 2.4.2 with golang(github.com/tdewolff/parse/html)    < 3)
BuildRequires: (golang(github.com/tdewolff/parse/js)      >= 2.4.2 with golang(github.com/tdewolff/parse/js)      < 3)
BuildRequires: (golang(github.com/tdewolff/parse/json)    >= 2.4.2 with golang(github.com/tdewolff/parse/json)    < 3)
BuildRequires: (golang(github.com/tdewolff/parse/strconv) >= 2.4.2 with golang(github.com/tdewolff/parse/strconv) < 3)
BuildRequires: (golang(github.com/tdewolff/parse/svg)     >= 2.4.2 with golang(github.com/tdewolff/parse/svg)     < 3)
BuildRequires: (golang(github.com/tdewolff/parse/xml)     >= 2.4.2 with golang(github.com/tdewolff/parse/xml)     < 3)

BuildRequires: (golang(github.com/tdewolff/test) >= 1.0.6 with golang(github.com/tdewolff/test) < 2)
BuildRequires: (golang(github.com/dustin/go-humanize) >= 1.0.0 with golang(github.com/dustin/go-humanize) < 2)
BuildRequires: (golang(github.com/fsnotify/fsnotify) >= 1.4.7 with golang(github.com/fsnotify/fsnotify) < 2)
BuildRequires: golang(github.com/matryer/try)
BuildRequires: (golang(github.com/spf13/pflag) >= 1.0.3 with golang(github.com/spf13/pflag) < 2)


%description devel
%{summary}

This package contains library source intended for building other packages which
use import path with %{goipath} prefix.


%prep
%forgesetup

# Depend on unversioned tdewolff/parse until Go modules are supported in Fedora
# Provide unversioned import path until Go modules are supported in Fedora
sed -i \
    -e 's|"github.com/tdewolff/parse/v2|"github.com/tdewolff/parse|' \
    -e 's|"github.com/tdewolff/minify/v2|"github.com/tdewolff/minify|' \
    $(find . -name '*.go')


%install
%goinstall


%check
%gochecks


%files devel -f devel.file-list
%doc README.md
%license LICENSE.md


%changelog
* Sat Apr 25 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.7.4-1
- Update to latest version

* Sun Mar 15 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.7.3-1
- Update to latest version

* Sat Feb 15 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.7.2-1
- Update to latest version

* Thu Jan 02 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.6.2-1
- Update to latest version

* Tue Nov 26 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.6.0-1
- Update to latest version

* Fri Sep 06 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.5.2-1
- Update to latest version

* Sun Aug 18 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.5.1-1
- Update to latest version

* Fri May 17 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.5.0-1
- Update to latest version

* Tue Apr 23 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.4.0-1
- Update to latest version

* Sat Mar 02 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.8-2
- Uncomment test BRs
- Depend on unversioned tdewolff/parse until Go modules are supported in Fedora

* Sun Feb 10 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.8-1
- First package for Fedora
